Xeonr Developer Docs
API SpecificationApps

ListApps

POST
/containers.api.v1.AppService/ListApps

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

namespace?string
pageSize?integer
pageToken?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.AppService/ListApps" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "apps": [
    {
      "appId": "string",
      "namespace": "string",
      "label": "string",
      "scaling": {
        "minInstances": 0,
        "maxInstances": 0,
        "concurrency": 0,
        "idleTimeoutSec": 0,
        "activationTimeoutSec": 0
      },
      "resources": {
        "cpuMillis": 0,
        "memoryMb": 0,
        "ephemeralMb": 0,
        "pids": 0
      },
      "env": {
        "property1": "string",
        "property2": "string"
      },
      "egress": {
        "egressPolicyId": "string"
      },
      "state": "APP_STATE_UNSPECIFIED",
      "createdAtUnix": 0,
      "updatedAtUnix": 0,
      "hostname": "string",
      "activeVersionId": "string",
      "autoStart": true,
      "access": "APP_ACCESS_UNSPECIFIED",
      "key": "string"
    }
  ],
  "nextPageToken": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}